%define XSIGOVERSION 6.0.r7588
#Source is created from these files:
Source0:	orclovn-user-6.0.r7588.tar.gz

Name:       orclovn-user
Version:    %(echo 6.0.r7588 | sed -e 's/-/_/g')
Release:    1%{?dist}
Summary:    Xsigo Systems Hostdriver for Virtual-Platform
Packager:   Xsigo Systems, Inc <andrew.barrera@oracle.com>

License:    GPL/BSD
Group:      System Environment/Kernel
URL:        http://www.xsigo.com/

Requires:	/sbin/modinfo
Requires:	dmidecode

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-%(%{__id_u} -n)
ExclusiveArch:	i386 i586 i686 x86_64

%description
This package provides the Xsigo Systems userland scripts and daemons

%prep
# Just in case your build didn't go cleanly.
rm -rf %buildroot/*
%setup -q -c -T -a 0

%build
pushd apps/xsigod > /dev/null
make -f Makefile XENBUILD=1
mv -f xsigod xsigod.xen
make -f Makefile
popd > /dev/null

%install
mkdir -p $RPM_BUILD_ROOT/%_sysconfdir/init.d
mkdir -p $RPM_BUILD_ROOT/%_sysconfdir/modprobe.d
mkdir -p $RPM_BUILD_ROOT/%_sysconfdir/sysconfig
mkdir -p $RPM_BUILD_ROOT/%_bindir
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/opt/xsigo/bin
mkdir -p $RPM_BUILD_ROOT/opt/xsigo/sbin
mkdir -p $RPM_BUILD_ROOT/opt/xsigo/etc
mkdir -p $RPM_BUILD_ROOT/opt/xsigo/contrib
mkdir -p $RPM_BUILD_ROOT/opt/xsigo/.config/ovm3
mkdir -p $RPM_BUILD_ROOT/opt/xsigo/.config/xen
mkdir -p $RPM_BUILD_ROOT/opt/xsigo/.config/dracut

install -m 755 apps/xsigod/xsigod $RPM_BUILD_ROOT/opt/xsigo/sbin
install -m 755 apps/xsigod/xsigod.xen $RPM_BUILD_ROOT/opt/xsigo/sbin
install -m 755 scripts/xgmkinitrd $RPM_BUILD_ROOT/sbin

# Files going into the system directories
install -m 755 scripts/xsigo-scan $RPM_BUILD_ROOT/%_bindir
install -m 755 scripts/xsigo $RPM_BUILD_ROOT/%_sysconfdir/init.d
install -m 755 etc/modprobe.d/xsigo.conf $RPM_BUILD_ROOT/%_sysconfdir/modprobe.d
install -m 755 etc/sysconfig/xsigo $RPM_BUILD_ROOT/%_sysconfdir/sysconfig

# Files going into /opt/xsigo/bin
install -m 755 scripts/xsigo-support $RPM_BUILD_ROOT/opt/xsigo/bin
install -m 755 apps/xsigod/xsigod.conf $RPM_BUILD_ROOT/opt/xsigo
install -m 755 scripts/xsmaster.sh $RPM_BUILD_ROOT/opt/xsigo/bin
install -m 755 scripts/xsvhba.sh $RPM_BUILD_ROOT/opt/xsigo/bin
install -m 755 scripts/xsvnic.sh $RPM_BUILD_ROOT/opt/xsigo/bin
install -m 755 scripts/clean_initrd $RPM_BUILD_ROOT/opt/xsigo/bin
install -m 755 scripts/orclovn-setup $RPM_BUILD_ROOT/opt/xsigo/bin

# Files needed for orclovn-setup
install -m 755 dracut/* $RPM_BUILD_ROOT/opt/xsigo/.config/dracut
install -m 755 scripts/ovm3/* $RPM_BUILD_ROOT/opt/xsigo/.config/ovm3
install -m 755 scripts/xen/* $RPM_BUILD_ROOT/opt/xsigo/.config/xen

%pre
# Nothing to do here

%preun 
chkconfig --del xsigo

%post
# Remove legacy xsigo.conf entries
if [ -f /etc/modprobe.d/xsigo.conf.rpmsave ]; then
    mv -f /etc/modprobe.d/xsigo.conf.rpmsave /etc/modprobe.d/xsigo.conf
fi

# remove /etc/modprobe.d/mlx4_en.conf as it breaks our drivers
if [ -f /etc/modprobe.d/mlx4_en.conf ]; then
    rm -f /etc/modprobe.d/mlx4_en.conf
fi

# Turn on xsigo service at boot
chkconfig xsigo off

%postun
rm -rf /opt/xsigo/

%files
%defattr(-,root,root)
%config(noreplace) /etc/modprobe.d/xsigo.conf
%config(noreplace) /etc/sysconfig/xsigo
/sbin/xgmkinitrd
/etc/init.d/xsigo
/opt/xsigo/bin
/opt/xsigo/etc
/opt/xsigo/sbin
/opt/xsigo/.config
/opt/xsigo/xsigod.conf
/usr/bin/xsigo-scan

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Sep 12 2013 Ankit Darsi <ankit.x.darsi@oracle.com>
- Update spec file to include dist tag in package revision

* Fri Aug 16 2013 Ankit Darsi <ankit.x.darsi@oracle.com>
- Making the xsigo service off by default and to enable the xsigo service, run - chkconfig xsigo on

* Thu Feb 02 2012 Andrew Barrera <abarrera@xsigo.com>
- Changed spec file to use mkinitrd
